body {
    background-color: #fff;

    margin: 0;
    font-family: barlow;
    /* background-image: url('img/Background.png');  */
    background-color: black;
    background-repeat: repeat; /* Allows the texture to repeat if it's smaller than the viewport */
    background-size: auto; /* Ensure the image covers the whole viewport */
    background-position: center; /* Center the image */
    background-attachment: fixed; /* Optional: Fixes the background while scrolling */
    color: white;

    
}
#MainImage{
  width: 100%; /* Stretches the image across the full width of the page */
  height: auto; 
}

h1 {
  font-family: playfair;
}

  
#Header {
  position: sticky;
  top: 0; /* Sticks to the top of the screen */
  z-index: 1000; /* Keeps it above other elements */
}

#Header ul {
  list-style-type: none;
  background-color: black;
  display: flex;
  align-items: center; /* Aligns items vertically */
  margin: 0;
  padding: 10px 0;
  height: 50px; /* Increased height for better visual balance */
}

#Header li a{
  text-decoration: none;
  color: #F6F0ED;
  padding: 16px 30px;
  font-size: 20px;
  /* transition: color 0.4s, font-size 1s; */

}

#Header li a:hover{
  background-color: #7EA8BE;
  color:#F6F0ED; 
  
}

#Header li a:active{
  background-color: #C2948A;
  color:black; 
}

#Header .logo {
  margin-right: auto;
  padding-left: 20px; 
  font-size: 35px;
}

section {
  display: grid;
  grid-template-columns: 40% auto;
  grid-template-rows: 0.2fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 0.1fr;
  row-gap: 15px;
  column-gap: 10px;
  justify-content: center;
  margin-left: 2%;
}

.title {
  grid-column: 1 / span 2;
}

.event {
  grid-column: 1;
}

img {
  max-height: 40vh;
}

footer {
  padding: 15px 50px;
  background-color: #7EA8BE;
  color: black;
  display: flex;
  justify-content: space-evenly;
}

footer > div {
  width: 150px;
  height: 500px
}

@media(max-width: 500px){
  
  footer{
    flex-direction:column;
  }

  section {
    grid-template-columns: auto;
    grid-template-rows: auto;
    row-gap: 0vh;
  }

  .title { 
    grid-column: 1;
    margin-left: 10vw;
    margin-right: 10vw;
  }

  .event {
    max-width: 100vw;
    margin-left: 10vw;
    margin-right: 10vw;
  }

  img {
    max-width: 100vw;
  }
}